#include <iostream>
#include <stdio.h>
using namespace std;

int main()
{
    long long int  n, m, matrica[1000][1000];
    cin >> n >> m;
    for(long long int i = 1; i <= n; i++){
        for( long long int k = 1; k <=m; k++){
            cin >> matrica[i][k];
        }
    }
    cout << 0;

    return 0;
}